LOp = function(data, coefV){
  
  sds = SD_(data)
  means = Mean_(data) 
  
  lathres = as.double(means[1,"meanOp"] - (sds[1,"sdOp"]*coefV))
  hathres = as.double(means[1,"meanOp"] + (sds[1,"sdOp"]*coefV))
  lpnthres = as.double(means[1,"meanPN"] - (sds[1,"sdPN"]*coefV))
  hpnthres = as.double(means[1,"meanPN"] + (sds[1,"sdPN"]*coefV) )
  
  library(dplyr)
  
  x = data %>%
    filter(Attitude < lathres & farmer == 1) %>%   
    select (Attitude, SN, PGN, Intention)
  
  return(x)
}

HOp = function(data, coefV){
  
  sds = SD_(data)
  means = Mean_(data) 
  
  lathres = as.double(means[1,"meanOp"] - (sds[1,"sdOp"]*coefV))
  hathres = as.double(means[1,"meanOp"] + (sds[1,"sdOp"]*coefV))
  lpnthres = as.double(means[1,"meanPN"] - (sds[1,"sdPN"]*coefV))
  hpnthres = as.double(means[1,"meanPN"] + (sds[1,"sdPN"]*coefV) )
  
  library(dplyr)
  
  x = data %>%
    filter(Attitude > hathres &  farmer == 1) %>%   
    select (Attitude, SN, PGN, Intention)
  
  return(x)  
}


Mean_ = function(data){
  library(dplyr)  
  m = data%>%
    summarise(meanAtt=as.double(mean(ATTBelief)), meanSN = as.double(mean(SN)), meanImonitor = as.double(mean(Imonitor)), meanIAppraisal = as.double(mean(Iappraisal)), meanIConvert = as.double(mean(Intention)), meanPN = as.double(mean(PGN)), meanOp=as.double(mean(Attitude)))          
  return(m)
}

SD_ = function(data){
  library(dplyr)  
  m = data%>%
    summarise(sdAtt = as.double(sd(ATTBelief)), sdSN = as.double(sd(SN)), sdImonitor = as.double(sd(Imonitor)), sdIAppraisal = as.double(sd(Iappraisal)), sdIConvert = as.double(sd(Intention)), sdPN = as.double(sd(PGN)), sdOp = as.double(sd(Attitude)))
  return(m)
}

rescaleFunction = function (atts, currentMin, currentMax, targetMin, targetMax){
  scaledAtt = (((atts - currentMin)/(currentMax - currentMin))*(targetMax - targetMin) + targetMin)
  return(scaledAtt)
}

library(readxl)

d <- read.csv2("data1.csv")
nrow(d)


lLow = LOp(d, 0.2)
lHigh = HOp(d, 0.2)

library(PerformanceAnalytics)
chart.Correlation(as.matrix(lLow), histogram=TRUE, pch=19)
chart.Correlation(as.matrix(lHigh), histogram=TRUE, pch=19)



