LATT = function(data, coefV){
  
  sds = SD_(data)
  means = Mean_(data) 
  
  lathres = as.double(means[1,"meanAtt"] - (sds[1,"sdAtt"]*coefV))
  hathres = as.double(means[1,"meanAtt"] + (sds[1,"sdAtt"]*coefV))
  lpnthres = as.double(means[1,"meanPN"] - (sds[1,"sdPN"]*coefV))
  hpnthres = as.double(means[1,"meanPN"] + (sds[1,"sdPN"]*coefV))
  
  library(dplyr)
  
  x = data %>%
    filter(Attitude < lathres) %>%   
    select (Attitude, SN, PGN, Intention)
  
  return(x)
}

HATT = function(data, coefV){
  
  sds = SD_(data)
  means = Mean_(data) 
  
  lathres = as.double(means[1,"meanAtt"] - (sds[1,"sdAtt"]*coefV))
  hathres = as.double(means[1,"meanAtt"] + (sds[1,"sdAtt"]*coefV))
  lpnthres = as.double(means[1,"meanPN"] - (sds[1,"sdPN"]*coefV))
  hpnthres = as.double(means[1,"meanPN"] + (sds[1,"sdPN"]*coefV))
  
  library(dplyr)
  
  x = data %>%
    filter(Attitude > hathres) %>%   
    select (Attitude, SN, PGN, Intention)
  
  
  return(x)  
}


Mean_ = function(data){
  library(dplyr)  
  m = data%>%
    summarise(meanAtt=as.double(mean(Attitude)), meanSN = as.double(mean(SN)), meanPN = as.double(mean(PGN)), meanIntention = as.double(mean(Intention)))          
  return(m)
}

SD_ = function(data){
  library(dplyr)  
  m = data%>%
    summarise(sdAtt=as.double(sd(Attitude)), sdSN = as.double(sd(SN)), sdPN = as.double(sd(PGN)), sdIntention = as.double(sd(Intention)))          
  return(m)
}


rescaleFunction = function (atts, currentMin, currentMax, targetMin, targetMax){
  scaledAtt = (((atts - currentMin)/(currentMax - currentMin))*(targetMax - targetMin) + targetMin)
  return(scaledAtt)
}

require(XLConnect)
wb = loadWorkbook("data2.xlsx")
d = readWorksheet(wb, sheet = "Sheet1", header = TRUE)
nrow(d)

lLow = LATT(d, 0.2)
lHigh = HATT(d, 0.2)


library(PerformanceAnalytics)
chart.Correlation(as.matrix(lLow), histogram=TRUE, pch=19)
chart.Correlation(as.matrix(lHigh), histogram=TRUE, pch=19)



